Package org.drinkless.tdlib

# Class TdApi.UpdateChatDraftMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatDraftMessage

Enclosing class:
  `TdApi`

public static class TdApi.UpdateChatDraftMessage extends TdApi.Update
A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.DraftMessage`
  `draftMessage`
  The new draft message; may be null if none.
  `TdApi.ChatPosition[]`
  `positions`
  The new chat positions in the chat lists.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatDraftMessage()`
  A chat draft has changed.
  `UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)`
  A chat draft has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### draftMessage

    @Nullable public TdApi.DraftMessage draftMessage
    The new draft message; may be null if none.

  - ### positions

    public TdApi.ChatPosition[] positions
    The new chat positions in the chat lists.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatDraftMessage

    public UpdateChatDraftMessage()
    A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

  - ### UpdateChatDraftMessage

    public UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)
    A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.
    Parameters:
      `chatId` - Chat identifier.
      `draftMessage` - The new draft message; may be null if none.
      `positions` - The new chat positions in the chat lists.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR